﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using MindFusion.UI.WinForms;

namespace PopupKeyboard
{
    public partial class MainForms : Form
    {
        private KeyboardForm formVK;

        public MainForms()
        {
            InitializeComponent();      
			
        }

        private void textBox_Enter(object sender, EventArgs e)
        {
            TextBox txtBox = sender as TextBox;
            var pos = txtBox.PointToScreen(new Point(0, 0));

            Invoke(new MethodInvoker(delegate
            {
                formVK = new KeyboardForm();
                formVK.vk.AttachedWindow = Handle;
                formVK.Show();
                formVK.Location = new Point(pos.X + 20, pos.Y + txtBox.Height + 1);
            }));
        }

        private void textBox_Leave(object sender, EventArgs e)
        {
            if (formVK != null)
            {
                formVK.Close();
                formVK = null;
            }
        }

        private void maskedTextBox_Enter(object sender, EventArgs e)
        {
            MaskedTextBox txtBox = sender as MaskedTextBox;
            var pos = txtBox.PointToScreen(new Point(0, 0));

            Invoke(new MethodInvoker(delegate
            {
                formVK = new KeyboardForm();
                formVK.IsNumPad = true;
                formVK.vk.AttachedWindow = Handle;
                formVK.Show();
                formVK.Location = new Point(pos.X + 20, pos.Y + txtBox.Height + 1);
            }));
        }

        private void MainForms_Load(object sender, EventArgs e)
        {
            this.ActiveControl = label_UserID; 
        }
    }
}
